Bug 980995 (CVE-2013-2234)

Summary: CVE-2013-2234 Kernel: net: information leak in AF_KEY notify
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, plougher, pmatouse, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130626,reported=20130701,source=oss-security,cvss2=1.7/AV:L/AC:L/Au:S/C:P/I:N/A:N,rhel-5/kernel=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 02:55:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 980999, 981000, 981002, 981004, 981005, 981006, 981007    
Bug Blocks: 980980    

Description Prasad J Pandit 2013-07-03 14:54:24 EDT
Linux kernel built with the IPSec key_socket support(CONFIG_NET_KEY=m) is
vulnerable to an information leakage flaw. It occurs while using key_socket's
notify interface.

A user/program able to access the PF_KEY key_sockets could use this flaw to
leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/a5cc68f3d63306d0d288f31edfc2ae6ef8ecd887

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/07/01/5
Comment 4 Prasad J Pandit 2013-07-03 15:09:30 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 981007]
Comment 5 Fedora Update System 2013-07-05 20:59:17 EDT
kernel-3.9.9-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-11 23:11:21 EDT
kernel-3.9.9-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-18 02:13:30 EDT
kernel-3.9.10-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2013-08-20 15:00:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html
Comment 9 Prasad J Pandit 2013-08-22 03:37:23 EDT
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this issue. This issue has been addressed for Red Hat Enterprise Linux 5 via RHSA-2013:1166 (https://rhn.redhat.com/errata/RHSA-2013-1166.html).
Comment 10 errata-xmlrpc 2013-09-16 13:10:16 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html
Comment 11 errata-xmlrpc 2013-11-21 14:18:27 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html